# Generated by Django 2.2.28 on 2023-05-22 15:53

# Django
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models

# Third party
import djangocms_text_ckeditor.fields
import taggit_autosuggest.managers


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("taggit", "0004_alter_taggeditem_content_type_alter_taggeditem_tag"),
        ("contenttypes", "0002_remove_content_type_name"),
        ("cms", "0022_auto_20180620_1551"),
    ]

    operations = [
        migrations.CreateModel(
            name="SimpleNote",
            fields=[
                (
                    "cmsplugin_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name="django_simple_notes_simplenote",
                        serialize=False,
                        to="cms.CMSPlugin",
                    ),
                ),
                ("note", djangocms_text_ckeditor.fields.HTMLField()),
                ("object_id", models.PositiveIntegerField()),
                ("language_code", models.CharField(default="", max_length=5)),
                ("create_date", models.DateTimeField(auto_now_add=True)),
                ("edit_date", models.DateTimeField(auto_now=True)),
                (
                    "author",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "categories",
                    taggit_autosuggest.managers.TaggableManager(
                        help_text="A comma-separated list of tags.",
                        through="taggit.TaggedItem",
                        to="taggit.Tag",
                        verbose_name="Tags",
                    ),
                ),
                (
                    "content_type",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="contenttypes.ContentType",
                    ),
                ),
            ],
            bases=("cms.cmsplugin",),
        ),
        migrations.AddIndex(
            model_name="simplenote",
            index=models.Index(
                fields=["content_type", "object_id"],
                name="django_simp_content_77d18a_idx",
            ),
        ),
    ]
